/************************************************************************/
/* Projet : TP5								*/
/* Description : insertion de tuples					*/
/* Auteur : C.M. et D.R.			    			*/
/* Date de creation : 03/05/2001					*/
/* Date de mise a jour : 						*/
/************************************************************************/

--suppression des enregistrements des tables dans lordre inverse de la cration
delete from detail_commande
go
delete from commande
go
delete from produit
go
delete from client
go
delete from categorie
go

--insertion de 3 catgories
insert into categorie(id_cat,nom_cat) values('Ecr','Ecrans')
go
insert into categorie(id_cat,nom_cat) values('Sca','Scanners')
go
insert into categorie(id_cat,nom_cat) values('Imp','Imprimantes')
go	

--insertion de 5 produits
insert into produit(id_prod,id_cat,titre_prod,detail_prod,image_prod,nouv_prod,prom_prod,sel_prod,poids_prod,dispo_prod,delai_prod,prixht_prod,prixhtprom_prod,tauxtva_prod) 
values ('Ecr_Sony','Ecr','Ecran Sony 17 pouces','C est un cran',NULL,1,0,0,20,1,'5',2090,1900,19.6)
go

insert into produit(id_prod,id_cat,titre_prod,detail_prod,image_prod,nouv_prod,prom_prod,sel_prod,poids_prod,dispo_prod,delai_prod,prixht_prod,prixhtprom_prod,tauxtva_prod) 
values ('Ecr_Iiyama','Ecr','Ecran Iiyama 21 pouces','C est mon cran',NULL,1,0,1,50,1,'7',4180,4000,19.6)
go

insert into produit(id_prod,id_cat,titre_prod,detail_prod,image_prod,nouv_prod,prom_prod,sel_prod,poids_prod,dispo_prod,delai_prod,prixht_prod,prixhtprom_prod,tauxtva_prod) 
values ('Ecr_Pana','Ecr','Ecran Iiyama 21 pouces','C est un super grand cran',NULL,1,0,1,10,1,'2',1700,1672,19.6)
go

insert into produit(id_prod,id_cat,titre_prod,detail_prod,image_prod,nouv_prod,prom_prod,sel_prod,poids_prod,dispo_prod,delai_prod,prixht_prod,prixhtprom_prod,tauxtva_prod) 
values ('Imp_Epson','Imp','Imprimante Epson 740','C est mon imprimante',NULL,1,0,0,4,0,'0',836,790,19.6)
go

insert into produit(id_prod,id_cat,titre_prod,detail_prod,image_prod,nouv_prod,prom_prod,sel_prod,poids_prod,dispo_prod,delai_prod,prixht_prod,prixhtprom_prod,tauxtva_prod) 
values ('Imp_HP','Imp','Imprimante Hewlet Packard','Ca c est de l imprimante',NULL,0,1,1,5,1,'10',1700,1672,19.6)
go


--insertion dun client
insert into client(nom_client,prenom_client,adresse_client,postal_client,ville_client,region_client,tel_client,fax_client,email_client)
values ('Dugghins','Alfred','20 allee de chez lui','75000','Paris','Ile de France','0661602560','0462602560','l@lamentable')
go

--insertion de 2 client plus de la commande
begin transaction

insert into client(nom_client,prenom_client,adresse_client,postal_client,ville_client,region_client,tel_client,fax_client,email_client)
values ('Platre','Jean','20 allee de chez lui','31770','Colomiers','Midi Pyrnes','0561302520',NULL,'j.platre@yahoo.fr')
	go

	declare @id_client int
	declare @id_com int 

	select @id_client = id_client from client where nom_client = 'Platre'

	insert into commande(id_client,dateenvoi_com,id_paiement,ref_paiement,total_com)
	values (@id_client,'20/04/2001','CH','CHEQUE2',7000)

	select @id_com = id_com from commande where id_client = @id_client
	
insert into detail_commande(id_prod,id_com,qt_dc,prix_dc) values ('Ecr_Iiyama',@id_com,1,5000)

	insert into detail_commande(id_prod,id_com,qt_dc,prix_dc) values ('Imp_HP',@id_com,1,2000)
	
commit transaction
	
begin transaction

insert into client(nom_client,prenom_client,adresse_client,postal_client,ville_client,region_client,tel_client,fax_client,email_client)
values ('Linux','Billou','20 allee de chez lui','75000','Paris','Ile de France','0661602560','0462602560','ridicule@microsoft.com')
	go

	declare @id_client int
	declare @id_com int 

	select @id_client = id_client from client where nom_client = 'Linux'

	insert into commande(id_client,dateenvoi_com,id_paiement,ref_paiement,total_com) 
	values (@id_client,'15/05/2001','CA','CHEQUE2',5500)

	select @id_com = id_com from commande where id_client = @id_client

	insert into detail_commande(id_prod,id_com,qt_dc,prix_dc) values ('Ecr_Sony',@id_com,1,2500)

	insert into detail_commande(id_prod,id_com,qt_dc,prix_dc) values ('Ecr_Pana',@id_com,1,2000)

	insert into detail_commande(id_prod,id_com,qt_dc,prix_dc) values ('Imp_Epson',@id_com,1,1000)
	
commit transaction
