/* Cration des fragments sur les deux sites */

/* fragmentation horizontale pour la table CHERCHEUR sur salines: CHERCHEUR_S */

copy from mg3g7/david@bd_sal to mg3g7/david@bd_sal -
replace CHERCHEUR_S using select N_CHERCHEUR, NOM_CHERCHEUR, SPECIALITE, N_EQUIPE -
from CHERCHEUR where universite=2;

/* fragmentation horizontale pour la table CHERCHEUR sur lagune: CHERCHEUR_L */

copy from mg3g7/david@bd_sal to mg3g7/david@bd_lag -
replace CHERCHEUR_L using select N_CHERCHEUR, NOM_CHERCHEUR, SPECIALITE, N_EQUIPE -
from CHERCHEUR where universite=1 or universite=3;

/* fragmentation horizontale pour la table TRAVAILLER sur salines: TRAVAILLER_S */

copy from mg3g7/david@bd_sal to mg3g7/david@bd_sal -
replace TRAVAILLER_S using select * from TRAVAILLER where n_chercheur in -
(select n_chercheur from CHERCHEUR where universite=2);

/* fragmentation horizontale pour la table TRAVAILLER sur lagune: TRAVAILLER_L*/

copy from mg3g7/david@bd_sal to mg3g7/david@bd_lag -
replace TRAVAILLER_L using select * from TRAVAILLER where n_chercheur in -
(select n_chercheur from CHERCHEUR where universite=1 or universite=3);

/* fragmentation verticale pour la table PROJET sur salines: PROJET_S */

copy from mg3g7/david@bd_sal to mg3g7/david@bd_sal -
replace PROJET_S using select N_PROJET, NOM_PROJET from PROJET;

/* fragmentation verticale pour la table PROJET sur lagune: PROJET_L */

copy from mg3g7/david@bd_sal to mg3g7/david@bd_lag -
replace PROJET_L using select N_PROJET, N_EQUIPE, N_CHER_RESP from PROJET; 

/* pas de fragmentation pour la table EQUIPE: entirement prsente sur lagune: EQUIPE_L */

copy from mg3g7/david@bd_sal to mg3g7/david@bd_lag -
replace EQUIPE_L using select * from EQUIPE; 

